// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.dynamo.iface);
importPackage(Packages.com.silverwrist.dynamo.util);

req = bsf.lookupBean("request");           // get request
rhelp = bsf.lookupBean("request_help");    // get request helper

// Resequence the Logout URL Map so it's more usable by Velocity.
input_map = cast.toMap(rhelp.getChainParameter("Logout.URL.Map"));
logout_list = new ArrayList(input_map.size());
it = input_map.entrySet().iterator();
while (it.hasNext())
{ // take each Map.Entry and make a new Map out of it
  ntry = cast.toMapEntry(it.next());
  tmp = new HashMap();
  tmp.put("id",ntry.getKey());
  tmp.put("url",ntry.getValue());
  logout_list.add(tmp);

} // end while

// Create the resulting view.
rc = new VelocityView("Service Provider Logout","sourceid/logout_render.vm");
rc.setParameter("logout",logout_list);
rc.setParameter("nextURL",rhelp.getChainParameter("Return.Success"));
dynamo.scriptOutput(rc);
